<?php
/*
Template Name: Album
*/
get_header();
global $post;
$posts_per_page = get_post_meta($post->ID, 'posts_per_page', true );

$album_orderby = get_post_meta($post->ID, "orderby", true);
$album_order = get_post_meta($post->ID, "order", true);

$album_category = get_post_meta( $post->ID, 'album-category', true );

if(isset($album_category) && $album_category =="") :
	$album_category = 0;
endif;

// Features Query

if(isset($album_category) && $album_category != "0") :
	$args = array(
		"post_type" => 'album',
		"posts_per_page" => $posts_per_page,
		"tax_query" => array(
			array(
				"taxonomy" => 'album-category',
				"field" => "slug",
				"terms" => $album_category

			)
		)
	);
else :
	$args = array(
		"post_type" => 'album',
		"posts_per_page" => $posts_per_page,
	);
endif;

$args['order'] = $album_order;
$args['orderby'] = $album_orderby;


$album_query = new WP_Query($args);


if('no' !== get_option('ocmx_show_categories')){
	// Category cloud
	get_template_part( 'functions/album-terms');
}


if( $album_query->have_posts() ) {
	while ( $album_query->have_posts() ) : $album_query->the_post();
		get_template_part("/functions/album-list");
	endwhile;
	motionpic_pagination("clearfix", "pagination");
} else {
	get_template_part( '/functions/post-empty' );
}

get_footer(); ?>