<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:og="http://ogp.me/ns/fb#" xmlns:og="http://opengraphprotocol.org/schema/">
<head profile="http://gmpg.org/xfn/11">

<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta property="og:title" content="<?php the_title(); ?>"/>
<meta property="og:description" content="<?php echo strip_tags($post->post_excerpt); ?>"/>
<meta property="og:url" content="<?php the_permalink(); ?>"/>
<meta property="og:image" content="<?php echo get_fbimage(); ?>"/>
<meta property="og:type" content="<?php
  if (is_single() || is_page()) { echo "article"; } else { echo "website";}
?>"/>
<meta property="og:site_name" content="<?php bloginfo('name'); ?>"/>
<title>
	<?php
		global $page, $paged;
		wp_title( '|', true, 'right' );
		bloginfo( 'name' );
		$site_description = get_bloginfo( 'description', 'display' );
		if ( $site_description && ( is_home() || is_front_page() ) )
			echo " | $site_description";
		if ( $paged >= 2 || $page >= 2 )
			echo ' | ' . sprintf( __( 'Page %s', 'ocmx' ), max( $paged, $page ) );
	?>
</title>
<?php if(get_option("ocmx_custom_favicon") != "") : ?>
	<link href="<?php echo get_option("ocmx_custom_favicon"); ?>" rel="icon" type="image/png" />
<?php endif; ?>
<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo get_template_directory_uri(); ?>/responsive.css" rel="stylesheet" type="text/css" />
<link type="text/css" href="<?php echo home_url('/'); ?>?stylesheet=custom" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/jquery.lightbox-0.5.css" media="screen" />
<?php if(get_option("ocmx_rss_url")) : ?>
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php echo get_option("ocmx_rss_url"); ?>" />
<?php else : ?>
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<?php endif; ?>
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />


<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<div id="header-container">
    <div id="header" class="clearfix">
        <div class="logo">
            <h1>
            	<a href="<?php home_url(); ?>">
                    <?php if(get_option("ocmx_custom_logo")) : ?>
                        <img src="<?php echo get_option("ocmx_custom_logo"); ?>" alt="<?php bloginfo('name'); ?>" />
                    <?php else : ?>
                    	<?php  strip_tags(bloginfo('name')); ?>
                    <?php endif; ?>
                </a>
            </h1>
        </div>
        <?php
		// Get all image attachments
		$all_images = get_posts( array(
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_parent' => $post->post_parent
		) );
		// Step through all image attachments
		foreach ( $all_images as $image ) {
		    // Get the parent post ID
		    $parent_id = $image->post_parent;
		    // Get the parent post Title
		    $parent_title = get_the_title( $parent_id );
		    // Get the parent post permalink
		    $parent_permalink = get_permalink( $parent_id ); ?>

		    <a class="view-post" href="<?php echo $parent_permalink; ?>">&larr; <?php _e('Return to Gallery','ocmx'); ?></a>
		<?php }
		?>

    </div>
</div>

<div id="content-container" class="clearfix">
	<ul class="photolist">

		<?php if ( have_posts() ) while ( have_posts() ) : the_post();
			$this_attachment = $post;
	        $image = wp_get_attachment_image_src($this_attachment->ID, '1000');
?>
<li class="photo-item clearfix">
	<a class="info" href="#"><?php _e('More Info','ocmx'); ?></a>

	<a class="photo" href="<?php echo wp_get_attachment_url($this_attachment->ID); ?>" rel="lightbox">
		<img src="<?php echo $image[0]; ?>" alt="<?php the_title($post->ID) ?>" />
	</a>

    <div class="photo-meta">
        <ul>
         <?php if(get_option("ocmx_meta_shorturl") != "false"): ?>
            <li class="meta-type url">
                <h6><?php _e('Direct Link','ocmx'); ?></h6>
                <small><?php echo wp_get_shortlink($this_attachment->ID); ?></small>
            </li>
            <?php endif; ?>
            <?php if(get_option("ocmx_meta_tags") != "false"): ?>
              <?php $tags = get_tags($this_attachment->ID); ?>
              <?php if(!empty($tags)) : ?>
                <li class="meta-type category-list">
                    <h6><?php _e('Tags','ocmx')?></h6>
                    <?php foreach($tags as $tax) : ?>
                    	<a href="">
                    		<?php echo $tax->name; ?>
                    	</a>
                    <?php endforeach; ?>

                </li>
			  <?php endif; ?>
             <?php endif; ?>
            <?php  $imgmeta = wp_get_attachment_metadata($this_attachment->ID); ?>
            <?php if(!empty($imgmeta[image_meta])) : ?>
               <li class="meta-type exif-data">
                    <h6><?php _e('Exif Data','ocmx'); ?></h6>
                    <ul>
                    	<?php if(!empty($imgmeta[image_meta][camera])) : ?>
							<li><span class="exif-type camera"><?php _e('Camera','ocmx'); ?></span> <?php echo $imgmeta[image_meta][camera]; ?></li>
						<?php endif; ?>
                        <?php if(!empty($imgmeta[image_meta][focal_length])) : ?>
    	                    <li><span class="exif-type focal"><?php _e('Focal Length','ocmx'); ?></span> <?php echo $imgmeta[image_meta][focal_length]; ?>mm</li>
						<?php endif; ?>
                        <?php if(!empty($imgmeta[image_meta][shutter_speed])) : ?>
	                        <li><span class="exif-type shutter"><?php _e('Shutter Speed','ocmx'); ?></span> <?php echo $imgmeta[image_meta][shutter_speed]; ?> sec</li>
						<?php endif; ?>
                        <?php if(!empty($imgmeta[image_meta][aperture])) : ?>
                            <li><span class="exif-type aperature"><?php _e('Aperature','ocmx'); ?></span> f/<?php echo $imgmeta[image_meta][aperture]; ?></li>
						<?php endif; ?>
                        <?php if(!empty($imgmeta[image_meta][iso])) : ?>
                            <li><span class="exif-type iso-type"><?php _e('ISO','ocmx'); ?></span> <?php echo $imgmeta[image_meta][iso]; ?></li>
						<?php endif; ?>
                    </ul>
               </li>
			<?php endif; ?>
                <?php if(get_option("ocmx_meta_social") != "false"): ?>
                <li class="meta-block">
                <?php if(get_option("ocmx_social_tag") != ""): ?>
                  <div class="social"><?php echo get_option("ocmx_social_tag"); ?></div>
                <?php else:
                get_template_part( 'functions/sharing-buttons' );
               endif; ?>
                </li>
                <?php endif; ?>
        </ul>
		</div>
   	<?php $excerpt = $this_attachment->post_excerpt;
		if($excerpt !='') : ?>
   		<div class="photo-details clearfix">
    		<?php echo $excerpt; ?>
		</div>
	<?php endif; ?>
</li>
		<?php endwhile;?>
    </ul>

    <div class="content-panel">
      <?php if(get_option("ocmx_meta_related") != "false"): ?>
    	<a class="related-photos-link" href=""><?php _e('Related Posts','ocmx'); ?></a>
      <?php endif; ?>
      <?php if(get_option("ocmx_meta_comments") != "false"): ?>
    	<a class="related-comments-link" href="#"><?php _e('Related Comments','ocmx'); ?></a>
      <?php endif; ?>
        <div class="related-photos">
        	<h4 class="panel-title"><?php _e('Related Photos','ocmx'); ?></h4>

        	<?php $attachmentargs = array("post_type" => "attachment", 'post_parent' => $post->post_parent, "numberposts" => "-1");
			$attachments = get_posts($attachmentargs); ?>
				<ul class="photolist">
					 <?php foreach($attachments as $attachement => $this_attachment) :
						$image = wp_get_attachment_image_src($this_attachment->ID, '180x112'); ?>
						<li class="photo-item">
							<a class="photo" href="<?php echo get_permalink($this_attachment->ID); ?>">
								<img src="<?php echo $image[0]; ?>" alt="<?php the_title($post->ID) ?>" />
							</a>
						</li>
					<?php endforeach; ?>
				</ul>

        </div>
        <div class="related-comments">
        	<h4 class="panel-title"><?php _e('Related Comments','ocmx'); ?></h4>
            <?php comments_template(); ?>
        </div>
    </div>

</div>



</body>
</html>
