<?php
/*
Template Name: Image Collage
*/
get_header();
global $post;
$layout = get_post_meta( $post->ID, 'layout', true );
$posts_per_page = get_post_meta( $post->ID, 'posts_per_page', true );

$album_orderby = get_post_meta($post->ID, "orderby", true);
$album_order = get_post_meta($post->ID, "order", true);

$album_category = get_post_meta( $post->ID, 'album-category', true );

if(isset($album_category) && $album_category =="") :
	$album_category = 0;
endif;

// Features Query

if(isset($album_category) && $album_category != "0") :
	$args = array(
		"post_type" => 'album',
		"posts_per_page" => $posts_per_page,
		"tax_query" => array(
			array(
				"taxonomy" => 'album-category',
				"field" => "slug",
				"terms" => $album_category

			)
		)
	);
else :
	$args = array(
		"post_type" => 'album',
		"posts_per_page" => $posts_per_page,
	);
endif;

$args['order'] = $album_order;
$args['orderby'] = $album_orderby;


$album_query = new WP_Query($args);
	
if( 'two-column' == $layout ) {
	$ul_class = 'photos-2';
	$resizer = '1080auto';
} elseif( 'three-column' == $layout ) {
	$ul_class = 'photos-3';
	$resizer = '600x338';
} elseif( 'four-column' == $layout ) {
	$ul_class = 'photos-4';
	$resizer = '400x300';
} else {
	$ul_class = 'photos-4';
	$resizer = '400x300';
}
?>

<div class="page-grid" data-count="<?php echo $posts_per_page; ?>" data-category="<?php echo $album_category; ?>" data-orderby="<?php echo $album_orderby; ?>" data-order="<?php echo $album_order; ?>">
	<ul class=" <?php echo $ul_class; ?>">
		<?php while ( $album_query->have_posts() ) : $album_query->the_post();
				global $post;
				$image = get_obox_media( array( 'postid' => $post->ID , 'resizer' => $resizer , 'exclude_video' => true ,  'image_fallback' => true, 'hide_href' => true, 'wrap' => '' ) );
				if( '' != $image ) {
					preg_match( '@src="([^"]+)"@' , $image , $match );
					if( !empty( $match ) ) {
						$bg_image = $match[1];
					}
				} ?>
				<li <?php if( isset( $bg_image ) ) { ?>style="background: url('<?php echo $bg_image; ?>'); background-size: cover;"<?php } ?>>
					<a href="<?php the_permalink(); ?>">
			
						<span class="overlay">
							<h3><?php the_title(); ?></h3>
							<?php if( 'post' == get_post_type() ) { ?>
								<p><?php _e( 'View Post' , 'ocmx' ); ?></p>
							<?php } else { ?>
								<p><?php _e( 'View Album' , 'ocmx' ); ?></p>
							<?php } ?>
						</span>
					</a>
				</li>
		<?php endwhile; ?>
	</ul>
</div>
<?php get_footer(); ?>