<?php
	global $this_attachment;
	// Get the image source
	$image = wp_get_attachment_image( $this_attachment->ID, '1080auto' );

	// Get the image EXIF data and Instagram meta, if it's available.
	$instagram_meta = get_post_meta( $this_attachment->ID, '_instagram_meta', true );
	$exifdata = wp_get_attachment_metadata( $this_attachment->ID );

?>
<li class="photo-item clearfix">

	<div class="post-photo">
		<a class="info" href="#"><?php _e('More Info','ocmx'); ?></a>
		<!-- Show Image-->
		<?php $attachment = wp_get_attachment_image_src( $this_attachment->ID, 'full' );?>
		<a class="photo" href="<?php echo $attachment[0] ?>" rel="lightbox">
			<?php echo $image; ?>
		</a>
	</div>

	<!--Info Panel -->
	<div class="photo-meta">
		<ul>
			<?php if( get_option( "ocmx_meta_shorturl" ) != "false" ): ?>
				<li class="meta-type url">
					<h6><?php //_e('Direct Link','ocmx'); ?></h6>
					<input type="text" value="<?php echo googl_shortlink(get_permalink( $this_attachment->post_parent ), $this_attachment->post_parent); ?>" />
				</li>
			<?php endif;

			// This post has Instagram data, use that instead of the Exif
			if( $instagram_meta != "") :
				// Instagram Tags
				if( get_option( "ocmx_meta_tags" ) != "false" && $instagram_meta['tags'] != "" ) :
					$tags = $instagram_meta['tags'];
					if( !empty( $tags ) ) : ?>
						<li class="meta-type category-list">
							<h6><?php _e("Tags","ocmx"); ?></h6>
							<?php foreach( $tags as $tag ) : ?>
								<a href=""><?php echo $tag; ?></a>
							<?php endforeach; ?>
						</li>
					<?php endif;
				endif;
				// Instagram Meta ?>
				<li class="meta-type exif-data">
					<h6><?php _e('Instagram Data','ocmx'); ?></h6>
					<ul>
						<li><span class="exif-type camera"><?php _e('Filter','ocmx'); ?></span> <?php echo $instagram_meta["filter"]; ?></li>
						<li><span class="exif-type focal"><?php _e('User','ocmx'); ?></span> <?php echo $instagram_meta["username"]; ?></li>
						<li><span class="exif-type aperature"><?php _e('Date','ocmx'); ?></span> <?php echo date("d M Y", $instagram_meta["date"]); ?></li>
					</ul>
				</li>
			<?php
			// If there is no exif, use normal image meta
			else :
				// Use the tags from the post
				if( get_option( "ocmx_meta_tags_album" ) != "false" ) :
					$tags = wp_get_object_terms( $this_attachment->post_parent, 'album-tag');
					if( !empty( $tags ) ) : ?>
					<li class="meta-type category-list">
						<h6><?php _e('Tags','ocmx')?></h6>
						<?php foreach( $tags as $tax ) : ?>
							<a href="<?php echo get_tag_link($tax); ?>">
								<?php echo $tax->name; ?>
							</a>
						<?php endforeach; ?>
					</li>
				<?php endif;
				endif;

				// Loop through the Exif data to see if we actually have anything to use
				$hasmeta = 0;
				foreach( $exifdata["image_meta"] as $meta ) :
					if($meta != 0)
						$hasmeta = 1;
				endforeach;

				// Display the Exif data
				if( $hasmeta == 1 && isset( $exifdata ) ) : ?>
					<li class="meta-type exif-data">
						<h6><?php _e("Exif Data","ocmx"); ?></h6>
						<ul>
							<?php if( !empty ( $exifdata ["image_meta"] ["camera"] ) ) : ?>
								<li><span class="exif-type camera"><?php _e('Camera','ocmx'); ?></span> <?php echo $exifdata ["image_meta"] ["camera"]; ?></li>
							<?php endif; ?>
							<?php if( !empty ( $exifdata ["image_meta"] ["focal_length"] ) ) : ?>
									<li><span class="exif-type focal"><?php _e('Focal Length','ocmx'); ?></span> <?php echo $exifdata ["image_meta"] ["focal_length"]; ?>mm</li>
							<?php endif; ?>
							<?php if( !empty ( $exifdata ["image_meta"] ["shutter_speed"] ) ) : ?>
								<li><span class="exif-type shutter"><?php _e('Shutter Speed','ocmx'); ?></span> <?php echo $exifdata ["image_meta"] ["shutter_speed"]; ?> sec</li>
							<?php endif; ?>
							<?php if( !empty ( $exifdata ["image_meta"] ["aperture"] ) ) : ?>
								<li><span class="exif-type aperature"><?php _e('Aperature','ocmx'); ?></span> f/<?php echo $exifdata ["image_meta"] ["aperture"]; ?></li>
							<?php endif; ?>
							<?php if( !empty ( $exifdata ["image_meta"] ["iso"] ) ) : ?>
								<li><span class="exif-type iso-type"><?php _e('ISO','ocmx'); ?></span> <?php echo $exifdata ["image_meta"] ["iso"]; ?></li>
							<?php endif; ?>
						</ul>
					</li>
				<?php endif;
			endif; ?>
		</ul>
	</div>
	<!--Show the Excerpt -->
	<?php $excerpt = $this_attachment->post_excerpt;
		if( $excerpt !="" ) : ?>
		<div class="photo-details clearfix">
			<?php echo $excerpt; ?>
		</div>
	<?php endif; ?>
</li>