<?php
$post_type = get_option( 'ocmx_collage_post_type' );
$posts_per_page = get_option( 'ocmx_collage_post_count' );
$layout = get_option( 'ocmx_collage_layout' );

if( '' == $post_type ){ $post_type = 'album';}
if( '' == $posts_per_page ){ $posts_per_page = -1;}
if( '' == $layout ){ $layout = 'four-column' ; }

if( 'two-column' == $layout ) {
	$ul_class = 'photos-2';
	$resizer = '1080auto';
} elseif( 'three-column' == $layout ) {
	$ul_class = 'photos-3';
	$resizer = '600x338';
} elseif( 'four-column' == $layout ) {
	$ul_class = 'photos-4';
	$resizer = '400x300';
} else {
	$ul_class = 'photos-4';
	$resizer = '400x300';
}

$album_query_args = array( "post_type" =>$post_type , "posts_per_page" => $posts_per_page );

$album_query = new WP_Query($album_query_args); ?>

<div class="page-grid" data-post_type="<?php echo $post_type; ?>" data-count="<?php echo $posts_per_page; ?>" data-category="0" data-orderby="post_date" data-order="desc">
	<ul class="<?php echo $ul_class; ?>">
		<?php while ( $album_query->have_posts() ) : $album_query->the_post();
			global $post;
			$image = get_obox_media( array( 'postid' => $post->ID , 'resizer' => $resizer , 'exclude_video' => true ,  'image_fallback' => true, 'hide_href' => true, 'wrap' => '' ) );
			if( '' != $image ) {
				preg_match( '@src="([^"]+)"@' , $image , $match );
				if( !empty( $match ) ) {
					$bg_image = $match[1];
				}
			} ?>
                <li <?php if( isset( $bg_image ) ) { ?>style="background: url('<?php echo $bg_image; ?>'); background-size: cover;"<?php } ?>>
                    <a href="<?php the_permalink(); ?>">
            
                        <span class="overlay">
                            <h3><?php the_title(); ?></h3>
                            <?php if( 'post' == get_post_type() ) { ?>
                                <p><?php _e( 'View Post' , 'ocmx' ); ?></p>
                            <?php } else { ?>
                                <p><?php _e( 'View Album' , 'ocmx' ); ?></p>
                            <?php } ?>
                        </span>
                    </a>
                </li>
		<?php endwhile; ?>
	</ul>
</div>