<!--Begin WordPress Header -->
<?php if( '' != get_option( 'ocmx_header_gradient' ) ) { $gradient_class = get_option( 'ocmx_header_gradient' ); }  else { $gradient_class = ''; }

if( is_home() ) : ?>
	<div class="header-copy <?php echo $gradient_class; ?>">
		<?php if( get_option( "ocmx_header_title" ) !="" ) : ?>
			<h2><?php echo stripslashes( get_option( "ocmx_header_title" ) ); ?></h2>
		<?php endif; ?>
		<?php if( get_option("ocmx_header_excerpt") != '' && get_option("ocmx_header_excerpt_display") != 'hide' ) : ?>
			<p><?php echo stripslashes (get_option( "ocmx_header_excerpt" ) ); ?></p>
		<?php endif; ?>
	</div>

<?php elseif ( is_singular() ) :
	if ( is_page() && wp_basename( get_page_template() ) == 'widget-page.php' && !has_post_thumbnail() ) return; ?>

	<div class="header-copy <?php echo $gradient_class; ?>">
		<?php ocmx_breadcrumbs( 'crumbs' , '&raquo;' , true ); ?>

		<h2><?php the_title(); ?></h2>

		<?php if( is_single() ) :
			$date = get_option( "ocmx_meta_date" );
		elseif( is_page() && ( wp_basename( get_page_template() ) == 'widget-page.php' || wp_basename( get_page_template() ) == 'collage.php' ) ) :
			$date = 'false';
		elseif( is_page() ) :
			$date = get_option( "ocmx_meta_date_page" );
		else:
			$date = get_option( "ocmx_meta_date_album" );
		endif;

		if( $date != "false" ): ?>
			<h5 class="post-date"><?php the_time( get_option('date_format' ) ); ?></h5>
		<?php endif;
		if( '' != $post->post_excerpt && get_option("ocmx_header_excerpt_display") != 'hide' ) {
			the_excerpt();
		} ?>
	</div>
<?php elseif ( is_tax('album-category' ) || is_category() ) :
	if( !have_posts() ) return; ?>

		<ul class="collage">
			<?php // Get the category according to its slug, then fire up the post query

				if( is_category() ) {
					$category = get_the_category();
					$term = $category[0];
					$args = array(
						"post_type" => "post",
						"orderby" => "rand",
						"tax_query" => array(
							array(
								"taxonomy" => 'category' ,
								"field" => "slug",
								"terms" => $term->slug
							)
						),
						"posts_per_page" => 10
					);

				} else {
					$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
					$args = array(
						"post_type" => "album",
						"orderby" => "rand",
						"tax_query" => array(
							array(
								"taxonomy" => 'album-category' ,
								"field" => "slug",
								"terms" => $term->slug
							)
						),
						"posts_per_page" => 10
					);
				}

			$wp_query = new WP_Query($args);

			// Build up array of images
			$attachmentarray = array();
			while ( $wp_query->have_posts() ) : $wp_query->the_post();
				// Get images from each post
				$attachmentargs = array( "post_type" => "attachment", "post_parent" => $wp_query->post->ID, "numberposts" => "5", "orderby" => "rand" );
				$attachments = get_posts($attachmentargs);

				// If we have enough, quit the loop
				if(count($attachmentarray) > 20)
					continue;

				// Loop through the images
				foreach( $attachments as $attachement => $this_attachment ) :
					$src = wp_get_attachment_image_src( $this_attachment->ID, '400x300' );
					if($src[0] != "") :
						// Populate the image array
						$attachmentarray[] = array( 'image' => $src[0], 'link' => get_permalink( $this_attachment->ID ) );
					endif;
				endforeach;
			endwhile;
			rewind_posts();
			wp_reset_query();

			// Shuffle the pictures if we do indeed have some
			if(is_array($attachmentarray) && !empty($attachmentarray))
				shuffle($attachmentarray);

			// If we have less images than we need for the header, then loop through the same images a few times
			if(count($attachmentarray) < 20  && !empty($attachmentarray)) :
				$maxloop = ceil(20/count($attachmentarray));
				for($i = 0; $i < $maxloop; $i++) :
					foreach($attachmentarray as $att) : ?>
						<li>
							<a class="photo" href="<?php echo $att['link']; ?>">
								<img src="<?php echo $att['image']; ?>" alt="<?php the_title( $post->ID ) ?>" />
							</a>
						</li>
					<?php endforeach;
				endfor;

			// If we have enough images, just loop through those
			elseif (!empty($attachmentarray)) :
				foreach($attachmentarray as $att) : ?>
					<li>
						<a class="photo" href="<?php echo $att['link']; ?>">
							<img src="<?php echo $att['image']; ?>" alt="<?php the_title( $post->ID ) ?>" />
						</a>
					</li>
				<?php endforeach;
			endif; ?>
		</ul>

		<?php // Show the categort title & description
		if( $term->name !='' ) : ?>
			<div class="header-copy <?php echo $gradient_class; ?>">
				<?php if( !is_category() ) { ocmx_breadcrumbs( 'crumbs' , '&raquo;' , true ); } ?>
				<h2><?php echo $term->name; ?></h2>
				<?php if( get_option("ocmx_header_excerpt_display") != 'hide' ) { ?>
					<p><?php echo $term->description; ?></p>
				<?php } ?>
			</div>
		<?php endif; ?>
<?php elseif ( is_archive() ) : ?>
	<div class="header-copy <?php echo $gradient_class; ?>">
		<h2>
			<?php
				if ( is_category() ) :
					printf( __( 'Category: %s', 'ocmx' ), '<span>' . single_cat_title( '' , false) . '</span>' );
				elseif ( is_tag() ) :
					printf( __( 'Tag: %s', 'ocmx' ), '<span>' . single_tag_title( '' , false) . '</span>' );
				elseif ( is_day() ) :
					printf( __( 'Daily: %s', 'ocmx' ), '<span>' . get_the_date() . '</span>' );
				elseif ( is_month() ) :
					printf( __( 'Monthly: %s', 'ocmx' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );
				elseif ( is_year() ) :
					printf( __( 'Yearly: %s', 'ocmx' ), '<span>' . get_the_date( 'Y' ) . '</span>' );
				elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
					_e( 'Asides', 'ocmx' );
				elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
					_e( 'Images', 'ocmx');
				elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
					_e( 'Videos', 'ocmx' );
				elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
					_e( 'Quotes', 'ocmx' );
				elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
					_e( 'Links', 'ocmx' );
				else :
					_e( 'Archives', 'ocmx' );
				endif;
			?>
		</h2>
	</div>
<?php endif; ?>