<?php if(!function_exists("googl_shortlink")) :
	/*******************************/
	/* Integrate goo.gl Shortlinks */

	function googl_shortlink( $url, $post_id ) {

		$post = get_post( $post_id );

		if ( !is_object( $post ) || $post->post_status == 'draft' )
			return "";

		$shortlink = get_post_meta($post_id, '_googl_shortlink', true);
		if ( '' != $shortlink ){
			return $shortlink;
		}

		$permalink = get_permalink($post_id);

		$http = new WP_Http();
		$headers = array('Content-Type' => 'application/json');
		$result = $http->request('https://www.googleapis.com/urlshortener/v1/url', array( 'method' => 'POST', 'body' => '{"longUrl": "' . $permalink . '"}', 'headers' => $headers));
		if(is_array($result) && isset($result['id'])) :
			$result = json_decode($result['body']);
			$shortlink = $result['id'];
		endif;

		if ( '' != $shortlink) {echo "[2]";
			add_post_meta($post_id, '_googl_shortlink', $shortlink, true);
			return $shortlink;
		} else {
			return $url;
		}
	}

	add_filter('get_shortlink', 'googl_shortlink', 9, 2);
endif;?>