<?php
add_action('init', 'my_custom_init_album');
function my_custom_init_album()
{
  $labels = array(
	'name' => _x('Albums', 'post type general name'),
	'singular_name' => _x('Album', 'post type singular name'),
	'add_new' => _x('Add Album', 'album'),
	'add_new_item' => __('Add New Album'),
	'edit_item' => __('Edit '),
	'new_item' => __('New Album'),
	'view_item' => __('View Album'),
	'search_items' => __('Search Album'),
	'not_found' =>  __('No album found'),
	'not_found_in_trash' => __('No album found in Trash'),
	'parent_item_colon' => '',
	'slug' => 'album'
  );
  $args = array(
	'labels' => $labels,
	'public' => true,
	'publicly_queryable' => true,
	'show_ui' => true,
	'query_var' => true,
	'rewrite' => true,
	'capability_type' => 'post',
	'hierarchical' => false,
	'menu_icon' => get_template_directory_uri().'/ocmx/images/icons/gallery-icon.png',
	'menu_position' => null,
	'supports' => array('title','editor','thumbnail','excerpt', 'comments', 'page-attributes')
  );
  register_post_type('album',$args);

	/****************************************************************/
	/* Album Post Type Custom Meta, here used to add a category */

	register_taxonomy( 'album-category', 'album', array( 'hierarchical' => true, 'label' => 'Categories', 'query_var' => true, 'rewrite' => true ) );

	register_taxonomy('album-tag', array('album'),
	array
	(
		'hierarchical' => false,
		'labels' => array
		(
			'name' => _x( 'Album Tags', 'taxonomy general name' ),
			'singular_name' => _x( 'Album Tag', 'taxonomy singular name' ),
			'search_items' =>  __( 'Search Album Tags' ),
			'all_items' => __( 'All Album Tags' ),
			'edit_item' => __( 'Edit Album Tag' ),
			'update_item' => __( 'Update Album Tag' ),
			'add_new_item' => __( 'Add New Album Tag' ),
			'new_item_name' => __( 'New Album Tag Name' ),
			'menu_name' => __( 'Album Tags' ),
		),
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => array('slug' => 'album-tag', 'with_front' => true),
	)
);
}


//add filter to insure the text Album, or album, is displayed when user updates a album
add_filter('post_updated_messages', 'album_updated_messages');
function album_updated_messages( $messages ) {
  $post_ID = "";
  $post = "";
  $messages['album'] = array(
	0 => '', // Unused. Messages start at index 1.
	1 => sprintf( __('Album Item updated. <a href="%s">View album item</a>'), esc_url( get_permalink($post_ID) ) ),
	2 => __('Custom field updated.'),
	3 => __('Custom field deleted.'),
	4 => __('Product updated.'),
	/* translators: %s: date and time of the revision */
	5 => isset($_GET['revision']) ? sprintf( __('Product restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
	6 => sprintf( __('Album Item published. <a href="%s">View album item</a>'), esc_url( get_permalink($post_ID) ) ),
	7 => __('Product saved.'),
	8 => sprintf( __('Album Item submitted. <a target="_blank" href="%s">Preview album item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
	9 => sprintf( __('Album Item draft updated. <a target="_blank" href="%s">Preview album item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
  );

  return $messages;
}
?>
