<?php
function ocmx_add_custom_meta(){
	global $post, $obox_meta, $album_meta, $album_page_meta, $collage_page_meta;
	$obox_meta = array(
			"video" => array (
				"name"			=> "video_link",
				"default" 		=> "",
				"label" 		=> "Video Link",
				"desc"      	=> "Provide your video link instead of the embed code and we'll use <a href='http://codex.wordpress.org/Embeds' target='_blank'>oEmbed</a> to translate that into a video.",
				"input_type"  	=> "text"
			),
			"embed" => array (
				"name"			=> "main_video",
				"default" 		=> "",
				"label" 		=> "Video Embed Code",
				"desc"      	=> "Input the embed code of your video here.",
				"input_type"  	=> "textarea"
			),
			"hostedvideo" => array (
				"name"			=> "video_hosted",
				"default" 		=> "",
				"label" 		=> "Self Hosted Video Formats: .MP4 or .MPV",
				"desc"      	=> "Please paste in your self hosted video link. To upload videos <a href='".home_url()."/wp-admin/media-new.php'>click here</a>",
				"input_type"  	=> "text"
			),
			"hostedvideo_ogv" => array (
				"name"			=> "video_hosted_ogv",
				"default" 		=> "",
				"label" 		=> "Self Hosted Video Formats: .OGV (for non HTML5 browsers)",
				"desc"      	=> "Please paste in your self hosted video link. To upload videos <a href='".home_url()."/wp-admin/media-new.php'>click here</a>",
				"input_type"  	=> "text"
			)
	);
	$album_cats = get_terms('album-category', "hide_empty=0");
	$album_cat_list["All"] = 0;
	foreach($album_cats as $category) :
		if(isset($category->name))
			$album_cat_list[$category->name] = $category->slug;
	endforeach;

	$album_page_meta = array(
			"album-category" => array (
				"name" => "album-category",
				"default" => "",
				"label" => "Album Category",
				"desc" => "Choose which category you'd like on this page.",
				"input_type" => "select",
				"options" => $album_cat_list
			),
			"orderby" => array (
				"name" => "orderby",
				"default" => "",
				"label" => __("Order By",'ocmx'),
				"desc" => __("Select how albums are ordered on this page.",'ocmx'),
				"input_type" => "select",
				"options" => array(__("Post Date",'ocmx') => "date", __("Post Title",'ocmx') => "title", __("Manual Order",'ocmx') => "menu_order", __("Random",'ocmx') => "rand", __("Comment Count",'ocmx') => "comment_count")
			),
			"order" => array (
				"name" => "order",
				"default" => "",
				"label" => __("Order",'ocmx'),
				"desc" => __("Select the sort order of your albums on this page.",'ocmx'),
				"input_type" => "select",
				"options" => array( __("Descending",'ocmx') => "desc", __("Ascending",'ocmx') => "asc")
			)
		);

	$collage_page_meta = array(
		"layout" => array (
			"name"		=> "layout",
			"default"	=> "four-column",
			"label"		=> __("Layout",'ocmx'),
			"desc"		=> __("Select the layout of your page.",'ocmx'),
			"input_type"	=> "image-select",
			"image-folder"	=> "/images/page-layouts/",
			"options" 	=> array("two-column", "three-column", "four-column")
		),
		"posts_per_page" => array (
			"name"		=> "posts_per_page",
			"default"	=> 12,
			"label"		=> __("Post Count",'ocmx'),
			"desc"		=> __("Select how many albums you would like to display on this page.",'ocmx'),
			"input_type"	=> "select",
			"options" 	=> array( "Unlimited" => "-1" , 2 => 2 , 4 => 4 , 6 => 6 , 8 => 8 , 10 => 10 , 12 => 12 , 14 => 14, 16 => 16, 18 => 18, 20 => 20 )
		)
	);
}
add_action( 'init', 'ocmx_add_custom_meta' );

function create_meta_box_ui() {
	global $post, $obox_meta, $album_meta, $album_page_meta, $collage_page_meta;

	if( 'album.php' == wp_basename( get_page_template() ) || 'collage.php' == wp_basename( get_page_template() ) ){
		$obox_meta = array_merge( $album_page_meta, $obox_meta );
	}

	if( 'collage.php' == wp_basename( get_page_template() ) ){
		$obox_meta = array_merge( $collage_page_meta, $obox_meta );
	}

	post_meta_panel($post->ID, $obox_meta);
}

function insert_obox_metabox($pID) {
	global $post, $obox_meta, $album_meta, $album_page_meta, $collage_page_meta;

	if( 'album.php' == wp_basename( get_page_template() ) || 'collage.php' == wp_basename( get_page_template() ) ){
		$obox_meta = array_merge( $album_page_meta, $obox_meta );
	}

	if( 'collage.php' == wp_basename( get_page_template() ) ){
		$obox_meta = array_merge( $collage_page_meta, $obox_meta );
	}

	if( !isset($meta_added) ):
		post_meta_update($pID, $obox_meta);
	endif;
	$meta_added = 1;
}

if(function_exists("ocmx_change_metatype")) {}

function add_obox_meta_box() {
	if (function_exists('add_meta_box') ) {
		add_meta_box('obox-meta-box', $GLOBALS['obox_themename'].' Options','create_meta_box_ui','post','normal','high');
		add_meta_box('obox-meta-box', $GLOBALS['obox_themename'].' Options','create_meta_box_ui','page','normal','high');
		add_meta_box('obox-meta-box', $GLOBALS['obox_themename'].' Options','create_meta_box_ui','album','normal','high');
	}
}

function my_page_excerpt_meta_box() {
	add_meta_box( 'postexcerpt', __('Excerpt'), 'post_excerpt_meta_box', 'page', 'normal', 'core' );
}

add_action('admin_menu', 'add_obox_meta_box');
add_action('admin_menu', 'my_page_excerpt_meta_box');
add_action('admin_head', 'ocmx_change_metatype');
add_action('save_post', 'insert_obox_metabox');
add_action('publish_post', 'insert_obox_metabox'); ?>