<?php
function ocmx_add_scripts()
	{
		global $obox_themeid;

		//Add support for 2.9 and 3.0 functions and setup jQuery for theme
		wp_enqueue_script("jquery");
		if( ! is_admin() && !in_array($GLOBALS['pagenow'], array('wp-login.php', 'wp-register.php')) ) :
			// Include stylesheets
			wp_enqueue_style( $obox_themeid.'-style', get_bloginfo( 'stylesheet_url' ) );
			wp_enqueue_style( $obox_themeid.'-responsive', get_template_directory_uri().'/responsive.css');
			wp_enqueue_style( $obox_themeid.'-jplayer', get_template_directory_uri().'/ocmx/jplayer.css');
			wp_enqueue_style( $obox_themeid.'-customizer', home_url().'/?stylesheet=custom');

			$protocol = is_ssl() ? 'https' : 'http';
			wp_register_style( $obox_themeid.'-open-sans', $protocol . '://fonts.googleapis.com/css?family=Open+Sans:400,700,600,800,300&subset=latin,cyrillic-ext,greek-ext,vietnamese,greek,latin-ext,cyrillic');
			wp_enqueue_style( $obox_themeid.'-open-sans');

			wp_enqueue_script( "superfish", get_bloginfo("template_directory")."/scripts/superfish.js", array( "jquery" ) );
			wp_enqueue_script( "share", get_bloginfo("template_directory")."/scripts/share.js", array( "jquery" ) );
			wp_enqueue_script( $obox_themeid."-jquery", get_bloginfo("template_directory")."/scripts/theme_jquery.js", array( "jquery" ) );
			wp_enqueue_script( "fitvid", get_bloginfo("template_directory")."/scripts/jquery.fitvids.js", array( "jquery" ) );
			wp_enqueue_script( "jplayer", get_bloginfo("template_directory")."/scripts/jquery.jplayer.min.js", array( "jquery" ) );
			wp_enqueue_script( "selfhosted", get_bloginfo("template_directory")."/scripts/selfhosted.js", array( "jquery" ) );

			//Localization
			wp_localize_script( $obox_themeid."-jquery", "ThemeAjax", array( "ajaxurl" => admin_url( "admin-ajax.php" ) ) );
		endif;

		/* Back-end */
		if(is_admin()):
			wp_enqueue_script( 'jquery-ui-draggable' );
			wp_enqueue_script( 'jquery-ui-droppable' );
			wp_enqueue_script( 'jquery-ui-sortable' );
			wp_enqueue_script( 'jquery-ui-tabs' );
			wp_enqueue_script( "ajaxupload", get_bloginfo("template_directory")."/scripts/ajaxupload.js", array( "jquery" ) );
			wp_enqueue_script( "ocmx-jquery", get_bloginfo("template_directory")."/scripts/ocmx_jquery.js", array( "jquery" ) );
			wp_localize_script( "ocmx-jquery", "ThemeAjax", array( "ajaxurl" => admin_url( "admin-ajax.php" ) ) );
			wp_enqueue_script( "ocmx-multifile", get_bloginfo("template_directory")."/scripts/multifile.js", array( "jquery" ) );


			add_action( 'wp_ajax_ocmx_save-options', 'update_ocmx_options');
			add_action( 'wp_ajax_ocmx_reset-options', 'reset_ocmx_options');
			add_action( 'wp_ajax_ocmx_ads-refresh', 'ocmx_ads_refresh' );
			add_action( 'wp_ajax_ocmx_ads-remove', 'ocmx_ads_remove' );
			add_action( 'wp_ajax_ocmx_layout-refresh', 'ocmx_layout_refresh' );
			add_action( 'wp_ajax_ocmx_layout-refresh', 'ocmx_sidebar_refresh' );
			add_action( 'wp_ajax_ocmx_ajax-upload', 'ocmx_ajax_upload' );
			add_action( 'wp_ajax_ocmx_remove-image', 'ocmx_ajax_remove_image' );

			wp_enqueue_style( 'welcome-page', get_template_directory_uri() . '/ocmx/welcome-page.css');
			wp_enqueue_style( 'jquery-ui', get_template_directory_uri() . '/jquery-ui.css', false, '1.0', 'all' );

		endif;

		add_action( 'wp_ajax_nopriv_ocmx_infinite-scroll', 'ocmx_grid_infinite_scroll'  );
		add_action( 'wp_ajax_ocmx_infinite-scroll', 'ocmx_grid_infinite_scroll' );
	}

add_action('init', 'ocmx_add_scripts');