<?php function ocmx_theme_options(){
	global $obox_meta, $theme_options, $customizer_options;
	$theme_options = array();
	$theme_options["general_site_options"] =
			array(
				array("label" => "Custom Logo", "description" => "Full URL or folder path to your custom logo.", "name" => "ocmx_custom_logo", "default" => "", "id" => "upload_button", "input_type" => "file", "args" => array("width" => 90, "height" => 75)),
				array("label" => "Favicon", "description" => "Select a favicon for your site", "name" => "ocmx_custom_favicon", "default" => "", "id" => "upload_button_favicon", "input_type" => "file", "sub_title" => "favicon", "args" => array("width" => 16, "height" => 16)),
				array("label" => "Custom Login Logo", "description" => "Select a custom login logo, recommended dimensions (326px x 82px)", "name" => "ocmx_custom_login", "default" => "", "id" => "upload_button_login", "input_type" => "file", "sub_title" => "login logo", "args" => array("width" => 326, "height" => 82)),
				array(
					"main_section" => "Facebook Sharing Options",
					"main_description" => "Set a default image URL to appear on Facebook shares if no featured image is found. Recommended size 200x200.",
					"sub_elements" =>
						array(
							array("label" => "Disable OpenGraph?", "description" => "Select No if you want to disable the theme's OpenGraph support(do this only if using a conflicting plugin)", "name" => "ocmx_open_graph", "default" => "no", "id" => "ocmx_open_graph", "input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no')
							),

							array("label" => "Image URL", "description" => "", "name" => "ocmx_site_thumbnail", "sub_title" => "Open Graph image", "default" => "", "id" => "upload_button_ocmx_site_thumbnail", "input_type" => "file", "args" => array("width" => 80, "height" => 80)
							)
						)
				),
				array(
				"main_section" => "Custom Styling",
				"main_description" => "Set your own custom font and CSS for testimonials any any other element you wish to restyle.",
				"sub_elements" =>
				array(
					array("label" => "Custom CSS", "description" => "Enter changed classes from the theme stylesheet, or custom CSS here.", "name" => "ocmx_custom_css", "default" => "", "id" => "ocmx_custom_css", "input_type" => "memo"),
					)
				),
				array(
					"main_section" => "Press Trends Analytics",
					"main_description" => "No personal data is collected.",
					"sub_elements" =>
					array(
						array("label" => "Disable Press Trends?", "description" => "PressTrends helps Obox build better themes and provide awesome support by retrieving aggregated stats. PressTrends also provides a <a href='http://wordpress.org/extend/plugins/presstrends/' title='PressTrends Plugin for WordPress' target='_blank'>plugin for you</a> that delivers stats on how your site is performing against similar sites like yours. <a href='http://www.presstrends.me' title='PressTrends' target='_blank'>Learn more…</a>","name" => "ocmx_disable_press_trends", "default" => "no", "id" => "ocmx_disable_press_trends", "input_type" => 'select', 'options' => array('Disable' => 'yes', 'Enable' => 'no'))
						 )
					 )
			);

	$theme_options["header_options"] = array(
					 array(
						"main_section" => "Header Description &amp; Excerpt",
						"main_description" => "Use these settings to add a call-to-action button and text to your header.<br/> To set your header image, click <a href='themes.php?page=custom-header' target='_blank'>here</a>. Recommended dimensions 1920x380 or at least 1000px wide.",

						"sub_elements" =>
							array(
								array("label" => "Header Title", "description" => "", "name" => "ocmx_header_title", "default" => "", "id" => "ocmx_header_title", "input_type" => "text"),
								array("label" => "Header Excerpt", "description" => "", "name" => "ocmx_header_excerpt", "default" => "", "id" => "ocmx_header_excerpt", "input_type" => "memo")
							)
						),
					 array("label" => "Gradient", "description" => "Select whether or not to apply the fading black gradient to the site header.", "name" => "ocmx_header_gradient", "default" => "", "id" => "ocmx_header_gradient", "input_type" => "select" , "options" => array( "Enable" => "" , "Disable" => "no-gradient" ) ),
					 array("label" => "Excerpt Display", "description" => "Global setting to show or hide post and album excerpts in the header title.", "name" => "ocmx_header_excerpt_display", "default" => "show", "id" => "ocmx_header_excerpt_display", "input_type" => "select" , "options" => array( "Show" => "show" , "Hide" => "hide" ) ),
					array("label" => "Breadcrumbs", "description" => "Select whether or not to display breadcrumbs throughout the site.","name" => "ocmx_breadcrumbs", "default" => "yes", "id" => "ocmx_breadcrumbs", "input_type" => 'select', 'options' =>array( "Show" => "yes" , "Hide" => "no" ) ),
					);
	$theme_options["layout_options"] = array(
		array(
			"label" => "Home Page Layout",
			"description" => "Set your home page to either display as a blog, mimic our theme demo or take full control by using widgets.",
			"name" => "ocmx_home_page_layout", "default" => "blog",
			"id" => "ocmx_home_page_layout",
			"input_type" => "hidden",
			"default" => "blog",
			"options" =>
				array(
						"blog" => array("label" => "Blog", "description" => "Set your home page to display like a normal blog.", "load_options" => "widget_home_options"),
						"collage" => array("label" => "Collage", "description" => "Display an grid of your most recent albums.", "load_options" => "collage_home_options" ),
						"widget" => array("label" => "Widget Driven", "description" => "Take control by setting up your home page with widgets.")
					)
			),
		array(
			"label" => "Sidebar Layout",
			"description" => "Choose which side you would like your site sidebar to display on posts and pages. Alternatively hide it completely on all pages.",
			"name" => "ocmx_sidebar_layout", "default" => "sidebarright",
			"id" => "ocmx_sidebar_layout",
			"input_type" => "hidden",
			"default" => "sidebarright",
			"options" =>
				array(
						"sidebarright" => array("label" => "Sidebar Right", "description" => ""),
						"sidebarleft" => array("label" => "Sidebar Left", "description" => ""),
						"sidebarnone" => array("label" => "No Sidebar", "description" => "")
					)
			)
	);

	$theme_options["collage_home_options"] =
	array(
		array(
			"main_section" => "Collage Images",
			"main_description" => "Select which posts images will be used for the Collage.",
			"sub_elements" =>
				array(
					array("label" => "Post Type", "description" => "", "name" => "ocmx_collage_post_type", "default" => "album", "id" => "ocmx_collage_post_type", "input_type" => "select", "options" => array( "Albums" => "album", "Posts" => "post" )),
					array("label" => "Post Count", "description" => "", "name" => "ocmx_collage_post_count", "default" => "-1", "id" => "ocmx_collage_post_count", "input_type" => "select", "options" => array( "Unlimited" => "-1" , "2" => "2", "4" => "4", "6" => "6", "8" => "8", "10" => "10", "12" => "12", "14" => "16", "18" => "18", "20" => "20")),
					array("label" => "Page Layout", "description" => "", "name" => "ocmx_collage_layout", "default" => "0", "id" => "ocmx_collage_layout", "input_type" => "select", "options" => array( "Two Columns" =>"two-column" , "Three Columns" => "three-column", "Four Columns" => "four-column"))

			)
		)
	);
	$theme_options["post_options"] = array(
				array("label" => "Social Widget Code", "description" => "Paste the template tag or code for your social sharing plugin here.", "name" => "ocmx_social_tag", "default" => "", "id" => "", "input_type" => "memo"),
				array("main_section" => "Full Posts or Excerpts?",
				"main_description" => "Select whether to show full posts or excerpts in your archives/ blog list.",
				"sub_elements" =>
					array(
						array("label" => "Content Length", "description" => "Selecting excerpts will show the Read More link.","name" => "ocmx_content_length", "default" => "yes", "id" => "ocmx_content_length", "input_type" => 'select', 'options' => array('Show Excerpts' => 'yes', 'Show Full Post Content' => 'no'))
						 )
					 ),
				array(
					"main_section" => "Post Meta",
					"main_description" => "These settings control which meta is displayed in posts.",
					"sub_elements" =>
						array(
							array("label" => "Date", "description" => "Uncheck to turn off date. Does not affect events.","name" => "ocmx_meta_date", "", "default" => "true", "id" => "ocmx_meta_date", "input_type" => "checkbox"),
							array("label" => "Tags", "description" => "Uncheck to hide tags on single posts", "name" => "ocmx_meta_tags", "default" => "false", "id" => "ocmx_meta_tags", "input_type" => "checkbox"),
							array("label" => "Social Sharing", "description" => "Uncheck to disable sharing.", "name" => "ocmx_meta_social", "default" => "true", "id" => "ocmx_meta_social", "input_type" => "checkbox"),
							array("label" => "Direct Link", "description" => "Uncheck to disable Direct Link on photos and posts.", "name" => "ocmx_meta_shorturl", "default" => "true", "id" => "ocmx_meta_shorturl", "input_type" => "checkbox"),
						)
					),

				array(
					"main_section" => "Album Meta",
					"main_description" => "These settings control which meta is displayed on single album pages.",
					"sub_elements" =>
						array(
							array("label" => "Date", "description" => "Uncheck to turn off date.","name" => "ocmx_meta_date_album", "", "default" => "true", "id" => "ocmx_meta_date_album", "input_type" => "checkbox"),
							array("label" => "Social Sharing", "description" => "Uncheck to disable sharing on album and photos.", "name" => "ocmx_meta_social_album", "default" => "true", "id" => "ocmx_meta_social_album", "input_type" => "checkbox"),
							array("label" => "Tags", "description" => "Uncheck to hide tags on single posts", "name" => "ocmx_meta_tags_album", "default" => "false", "id" => "ocmx_meta_tags_album", "input_type" => "checkbox"),
							array("label" => "Show Categories on Archives?", "description" => "Select whether to show category links on album archive pages.","name" => "ocmx_show_categories", "default" => "yes", "id" => "ocmx_show_categories", "input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no'))
						)
					),

				array(
					"main_section" => "Page Meta",
					"main_description" => "These settings control which meta is displayed on pages.",
					"sub_elements" =>
						array(
							array("label" => "Date", "description" => "Uncheck to turn off date.","name" => "ocmx_meta_date_page", "", "default" => "true", "id" => "ocmx_meta_date_page", "input_type" => "checkbox"),
							array("label" => "Social Sharing", "description" => "Uncheck to disable sharing .", "name" => "ocmx_meta_social_page", "default" => "true", "id" => "ocmx_meta_social_page", "input_type" => "checkbox")
						)
					)
	);
	$theme_options["footer_options"] = array(
					array("label" => "Custom Footer Text", "description" => "", "name" => "ocmx_custom_footer", "default" => "Copyright ".date("Y")." Picks was created in WordPress by Obox Themes."	, "id" => "ocmx_custom_footer", "input_type" => "memo"),
					array("label" => "Hide Obox Logo", "description" => "Hide the Obox Logo from the footer.", "name" => "ocmx_logo_hide", "default" => "false", "id" => "ocmx_logo_hide", "input_type" => 'select', 'options' => array('Yes' => 'true', 'No' => 'false')),
					array("label" => "Site Analytics", "description" => "Enter in the Google Analytics Script here.","name" => "ocmx_googleAnalytics", "default" => "", "id" => "","input_type" => "memo")
	);

	$theme_options["small_ad_options"] = array(
		array(
			"label" => "Number of Small Ads",
			"description" => "When using the select box, you must click \"Save Changes\" before the blocks are added or removed.",
			"name" => "ocmx_small_ads",
			"id" =>  "ocmx_small_ads",
			"prefix" => "ocmx_small_ad",
			"default" => "0",
			"input_type" => "select",
			"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"),
			"args" => array("width" => 125, "height" => "125")
		)
	);

	$theme_options["medium_ad_options"] = array(
		array(
				"label" => "Number of Medium Ads",
				"description" => "",
				"name" => "ocmx_medium_ads",
				"id" =>  "ocmx_medium_ads",
				"prefix" => "ocmx_medium_ad",
				"default" => "0",
				"input_type" => "select",
				"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"),
				"args" => array("width" => 300, "height" => "250")
			)
		);

	

	// CUSTOMIZER SETTINGS
	$customizer_options[] = array(
		'section_title' => 'Header Color Scheme',
		'section_slug' => 'ocmx_header_color_scheme',
		'elements' => array(
				array(
					'slug' => 'ocmx_header_background',
					'label' => 'Header Container Background',
					'default' => '#999',
					'selectors' => '#header-container, #footer-text-container',
					'css'	=> 'background-color',
					'jquery'	=> 'backgroundColor'
				),
				array(
					'slug' => 'ocmx_header_text',
					'label' => 'Header Text',
					'default' => '#fff',
					'selectors' => '.header-copy h2, .header-copy p',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_navigation_links',
					'label' => 'Navigation Link Color',
					'default' => '#fff',
					'selectors' => 'ul#nav li a, .has-background #crumbs li a, #crumbs li a',
					'css'	=> array( 'color'),
					'jquery'	=> array( 'color')
				),
				array(
					'slug' => 'ocmx_navigation_hover',
					'label' => 'Navigation Link Hover Color',
					'default' => '#333',
					'selectors' => 'ul#nav li a:hover, ul#nav li.current-menu-item a, #crumbs li a:hover',
					'css'	=> array( 'color', 'border-color' ),
					'jquery'	=> array( 'color', 'borderColor' )
				),
				array(
					'slug' => 'ocmx_navigation_submenu_links',
					'label' => 'Sub-Menu Link Color',
					'default' => '#333',
					'selectors' => 'ul#nav ul.sub-menu a',
					'css'	=> array( 'color'),
					'jquery'	=> array( 'color')
				),
				array(
					'slug' => 'ocmx_navigation_submenu_links_hover',
					'label' => 'Sub-Menu Link Hover Color',
					'default' => '#111',
					'selectors' => 'ul#nav ul.sub-menu a:hover',
					'css'	=> array( 'color', 'border-color' ),
					'jquery'	=> array( 'color', 'borderColor' )
				)
			)
		);

	$customizer_options[] = array(
		'section_title' => 'Content Color Scheme',
		'section_slug' => 'ocmx_content_color_scheme',
		'elements' => array(
				array(
					'slug' => 'ocmx_body_text',
					'label' => 'General Body Text',
					'default' => '#777',
					'selectors' => 'body, .gallery-excerpt',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_content_links',
					'label' => 'Links',
					'default' => '#000',
					'selectors' => ' .details a, .meta, .meta a, .byline, .post-content a, .tab-event a, .copy a',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_content_links_hover',
					'label' => 'Links Hover',
					'default' => '#595959',
					'selectors' => '.details a:hover, .meta:hover, .meta a:hover, .byline:hover, .post-content a:hover, .tab-event a:hover, .post-content .copy a:hover',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_image_background',
					'label' => 'Image Background',
					'default' => '#fff',
					'selectors' => '.photolist li.photo-item',
					'css'	=> 'background-color',
					'jquery'	=> 'backgroundColor'
				),
				array(
					'slug' => 'ocmx_borders',
					'label' => 'Borders',
					'default' => '#000',
					'selectors' => 'ul.widget-list .widgettitle, ul.widget-list li li, .section-title, .tags a, #reply-title',
					'css'	=> 'border-color',
					'jquery'	=> 'borderColor'
				),
				array(
					'slug' => 'ocmx_post_titles',
					'label' => 'Post Titles on list pages',
					'default' => '#000',
					'selectors' => '.title-block .post-title a, .post-title a',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_post_dates',
					'label' => 'Post Dates on list pages',
					'default' => '#777',
					'selectors' => '.title-block .post-date',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_section_title',
					'label' => 'Section Titles',
					'default' => '#000',
					'selectors' => '#comments h2,  .reply-title, .contact-details .details h4,  .comments .section-title, h4, .comment-form-content label, #content-container h5, .about-me .post-title',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_widget_title',
					'label' => 'Widget Titles',
					'default' => '#000',
					'selectors' => 'ul.widget-list .widgettitle',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_buttons_text',
					'label' => 'Buttons Text & Borders',
					'default' => '#555',
					'selectors' => 'button, input[type="button"], input[type="submit"], .pagination a, .action-link, .submit_button',
					'css'	=>array( 'color', 'border-color' ),
					'jquery'	=> array( 'color', 'borderColor' )
				)
			)
		);


	$customizer_options[] = array(
		'section_title' => 'Footer Color Scheme',
		'section_slug' => 'ocmx_footer_color_scheme',
		'elements' => array(
				array(
					'slug' => 'ocmx_footer_background',
					'label' => 'Footer Background',
					'default' => '#f5f5f5',
					'selectors' => '#footer-container',
					'css'	=> 'background-color',
					'jquery'	=> 'backgroundColor'
				),
				array(
					'slug' => 'ocmx_footer_links',
					'label' => 'Footer Links',
					'default' => '#999',
					'selectors' => '#footer a',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_footer_links_hover',
					'label' => 'Footer Links Hover',
					'default' => '#999',
					'selectors' => '#footer a:hover',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_footer_text',
					'label' => 'General Footer Text',
					'default' => '#999',
					'selectors' => '#footer-container, #footer',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_footer_widget_title',
					'label' => 'Footer Widget Titles',
					'default' => '#999',
					'selectors' => '.footer-widgets .column h4',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_copyright_text',
					'label' => 'Footer Copyright Text',
					'default' => '#878787',
					'selectors' => '.footer-text, .obox-credit, .obox-credit a',
					'css'	=> 'color',
					'jquery'	=> 'color'
				),
				array(
					'slug' => 'ocmx_copyright_background',
					'label' => 'Footer Copyright Background',
					'default' => '#999',
					'selectors' => '#footer-text-container, .footer-text',
					'css'	=> 'background-color',
					'jquery'	=> 'backgroundColor'
				),
				array(
					'slug' => 'ocmx_back_top_background',
					'label' => 'Back To Top Background',
					'default' => '#000',
					'selectors' => '#back-top a',
					'css'	=> 'background-color',
					'jquery'	=> 'backgroundColor'
				)
			)
		);

}
add_action("init", "ocmx_theme_options");