<?php
class ocmx_author_widget extends WP_Widget {
	/** constructor */
	function __construct() {
			$widget_ops = array( 'classname' => 'author-widget', 'description' => 'Display your avatar and author info, set in your WordPress User account.' );
			parent::__construct( 'ocmx_author_widget', '(Obox) Author Widget', $widget_ops );
    }
	/** @see WP_Widget::widget */
	function widget($args, $instance) {
		extract( $args );

		// Turn $instance array into variables
		$instance_defaults = array ('title'=>'Author', 'gravatar' => '', 'widget_description"' => '' );
		$instance_args = wp_parse_args( $instance, $instance_defaults );
		extract( $instance_args, EXTR_SKIP );

		echo $before_widget; ?>
		<?php if($title !='') :
			echo $before_title;
				echo $title;
			echo $after_title;
		endif; ?>

		<div class="author-widget">
			<?php echo get_avatar($gravatar, '50');
			if( isset( $widget_description ) && $widget_description != "")
				echo "<p>$widget_description</p>"; ?>
		</div>

		<?php echo $after_widget;
   }

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {

		// Turn $instance array into variables
		$instance_defaults = array ('title'=>'Author', 'gravatar' => '', 'widget_description"' => '' );
		$instance_args = wp_parse_args( $instance, $instance_defaults );
		extract( $instance_args, EXTR_SKIP ); ?>

		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('gravatar'); ?>">Gravatar Account (email)<input class="widefat" id="<?php echo $this->get_field_id('gravatar'); ?>" name="<?php echo $this->get_field_name('gravatar'); ?>" type="text" value="<?php echo $gravatar; ?>" /></label>
		</p>
		<p>
			<label>Description<textarea id="<?php echo $this->get_field_id('widget_description'); ?>" name="<?php echo $this->get_field_name('widget_description'); ?>" type="text" cols="30" rows="4"><?php if( isset( $widget_description ) )echo $widget_description; ?></textarea></label>
		</p>



<?php }

} // class FooWidget

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_author_widget");'));

?>